# Class lognormal_distribution::param_type

- Defined in File hiprand.hpp

## Nested Relationships

This class is a nested type of Template Class lognormal_distribution.

## Class Documentation

class param_type

  The type of the distribution parameter set.

  Public Types

  using distribution_type = lognormal_distribution<RealType>

  Public Functions

  inline param_type(RealType m = 0.0, RealType s = 1.0)
  param_type(const param_type &params) = default
  inline RealType m() const

    Returns the deviation distribution parameter.

    The default value is 1.0.

  inline RealType s() const

    Returns the deviation distribution parameter.

    The default value is 1.0.

  inline bool operator==(const param_type &other)

    Returns `true` if the param_type is the same as `other`.

  inline bool operator!=(const param_type &other)

    Returns `true` if the param_type is different from `other`.